%bcond_without check

%global goipath         github.com/msprev/fzf-bibtex
%global commit          d5df2c6e93cc683573cb8c6d5bcc690ea50de9ae

%gometa

%global common_description %{expand:
A BibTeX source for fzf. fzf-bibtex uses BibTool parse BibTeX files, caches 
the results, and supports vim integration for users of the fzf.vim plugin. It 
includes support for Markdown and LaTeX citation formats.}

%global golicenses      LICENSE.txt
%global godocs          readme.md

Name:           %{goname}
Version:        1.1
Release:    1%{?dist}
Summary:        A BibTeX source for fzf

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

Requires:       BibTool
Requires:       fzf

%description
%{common_description}

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.txt
%doc readme.md
%{_bindir}/*

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
